Get On Demand Balance
curl --request GET \
--url https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/balances \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/balances"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/easy-split/vendors/{vendor_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchant_id": 152707,
"vendor_id": "test03",
"merchant_unsettled": 2412,
"vendor_unsettled": 0
}{
"message": "vendor does not exist",
"code": "api_request_failed",
"type": "invalid_request_error"
}Vendors
Get On Demand Balance
This API fetches the available amount with the merchant, vendor, and the unsettled amount for the merchant as well as the vendor.
GET
/
easy-split
/
vendors
/
{vendor_id}
/
balances
Get On Demand Balance
Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The id which uniquely identifies your vendor.
Was this page helpful?
⌘I